<?php
	/*
		Plugin Name: Contador de PDF
		Plugin URI: http://www.mrhouston.net/
		Description: Visualiza el numero de descargas de los PDF
		Version: 1.0
		Author: Ilich Jesus Mascorro Barrera
		Author URI: http://www.mrhouston.net/
		License: GPLv2 o posterior
	*/

	define('PDFCONTER_URL', plugins_url('', __FILE__));
	define('PDFCONTER_PATH', plugin_dir_path(__FILE__));
	define('PDFCONTER_REL_PATH', dirname(plugin_basename(__FILE__)) . '/');

	class ConPDFMrHouston{

		public function __construct() {
			add_action('wp_ajax_mydonwloadpdf', array(&$this, 'mydonwloadpdf'));
			add_action('wp_ajax_nopriv_mydonwloadpdf', array(&$this, 'mydonwloadpdf'));
			add_action('wp_enqueue_scripts', array(&$this, 'front_js'));
			add_action('admin_init', array(&$this, 'adminInit'));
		}

		public function mydonwloadpdf() {
			if ($_POST['tipo'] == 'page' || $_POST['tipo'] == 'post') {
				$valor = get_post_meta($_POST['idem'], 'descargaspdf', true);

				if (!$valor) {
					$valor = 0;
				} else {
					$valor = (int) $valor;
				}

				$valor++;
				if (!update_post_meta($_POST['idem'], 'descargaspdf', $valor)) {
					add_post_meta($_POST['idem'], 'descargaspdf', $valor);
				}
			}
			exit;
		}

		public function _addColumnaHeaderVisitas($defaults) {
			$defaults['downloadpdf'] = 'Descargas PDF';
			return $defaults;
		}

		public function _renderColumnasPost($PsColumnas) {
			global $post;

			switch ($PsColumnas) {
				case 'downloadpdf':
					$valor = get_post_meta($post->ID, 'descargaspdf', true);
					echo ( !$valor ) ? 0 : $valor;
					break;
			}
		}

		public function front_js() {
			wp_register_script('contador-pdf', PDFCONTER_URL . '/js/index.js', array('jquery'));
			wp_enqueue_script('contador-pdf');
			wp_localize_script('contador-pdf', 'datosFinalesPDF', array(
				'ajaxURL'  => admin_url('admin-ajax.php'),
				'postID'   => get_the_ID(),
				'postType' => get_post_type()
			));
		}

		public function adminInit() {
			add_filter('manage_posts_columns', array($this, '_addColumnaHeaderVisitas'));
			add_action('manage_posts_custom_column', array($this, '_renderColumnasPost'), 10, 2);

			add_filter('manage_pages_columns', array($this, '_addColumnaHeaderVisitas'));
			add_action('manage_pages_custom_column', array($this, '_renderColumnasPost'), 10, 2);
		}
	}

	new ConPDFMrHouston();
?>